Bug 918691

Summary: [RFE] Convert plug-ins to betxn plug-ins
Product: Red Hat Enterprise Linux 7 Reporter: Nathan Kinder <nkinder>
Component: 389-ds-baseAssignee: Rich Megginson <rmeggins>
Status: CLOSED CURRENTRELEASE QA Contact: Sankar Ramalingam <sramling>
Severity: unspecified Docs Contact:
Priority: high    
Version: 7.0CC: jgalipea, jrusnack, nhosoi
Target Milestone: rcKeywords: FutureFeature
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: 389-ds-base-1.3.1.2-1.el7 Doc Type: Enhancement
Doc Text:
Feature: The directory server has been modified so that all of the triggered operations are done inside the same transaction as the original request. All of the triggered operations are complete before the response is sent to the client. Reason: The directory server runs some operations as triggered by update operations. For example, updating memberof attributes in user entries is triggered by adding a member to a group entry. This updating is done after the original operation. In older versions of directory server, this updating was done outside the original transaction and potentially after sending the result to the client. The client would assume all of the triggered operations were complete after the server returned the response. The client would then expect to see data that wasn't actually there. Result (if any): The client expects and sees a consistent view of the data in the directory server after an update operation.
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-06-13 10:48:05 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Nathan Kinder 2013-03-06 18:13:38 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/351

Make all regular plugins to be betxn plugins

Comment 1 Rich Megginson 2013-10-01 23:24:30 UTC
moving all ON_QA bugs to MODIFIED in order to add them to the errata (can't add bugs in the ON_QA state to an errata).  When the errata is created, the bugs should be automatically moved back to ON_QA.

Comment 3 Ján Rusnačko 2013-11-11 15:48:13 UTC
[root@localhost jrusnack]# rpm -qa | grep 389
389-ds-base-1.3.1.6-8.el7.x86_64

[root@localhost jrusnack]# ldapsearch -D "cn=directory manager" -w Secret123 -b "cn=config" -LLL "(|(nsslapd-pluginbetxn=on)(nsslapd-pluginType=*betxn*))" dn nsslapd-pluginType nsslapd-pluginbetxn
dn: cn=7-bit check,cn=plugins,cn=config
nsslapd-pluginType: betxnpreoperation

dn: cn=attribute uniqueness,cn=plugins,cn=config
nsslapd-pluginType: betxnpreoperation

dn: cn=Auto Membership Plugin,cn=plugins,cn=config
nsslapd-pluginType: betxnpreoperation

dn: cn=Linked Attributes,cn=plugins,cn=config
nsslapd-pluginType: betxnpreoperation

dn: cn=Managed Entries,cn=plugins,cn=config
nsslapd-pluginType: betxnpreoperation

dn: cn=MemberOf Plugin,cn=plugins,cn=config
nsslapd-pluginType: betxnpostoperation

dn: cn=Multimaster Replication Plugin,cn=plugins,cn=config
nsslapd-pluginType: object
nsslapd-pluginbetxn: on

dn: cn=PAM Pass Through Auth,cn=plugins,cn=config
nsslapd-pluginType: betxnpreoperation

dn: cn=referential integrity postoperation,cn=plugins,cn=config
nsslapd-pluginType: betxnpostoperation

dn: cn=Roles Plugin,cn=plugins,cn=config
nsslapd-pluginType: object
nsslapd-pluginbetxn: on

dn: cn=State Change Plugin,cn=plugins,cn=config
nsslapd-pluginType: betxnpostoperation

dn: cn=USN,cn=plugins,cn=config
nsslapd-pluginType: object
nsslapd-pluginbetxn: on

Feature is implemented in latest RHEL7 389, testing is yet to be done - bugs in this feature will be filed separately.

Comment 4 Ludek Smid 2014-06-13 10:48:05 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.